Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
can't build babl-0.1.10
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
viralex
Apprentice
Apprentice


Joined: 24 Apr 2008
Posts: 231
Location: Viareggio (Lu,Italy)

PostPosted: Sun Apr 22, 2012 11:09 am    Post subject: can't build babl-0.1.10 Reply with quote

I can't build babl-0.1.10 :?
Does anyone else get this error?

Code:

g-ir-scanner: Babl: warning: 1 warnings suppressed (use --warn-all to see them)
**
ERROR:girepository/girnode.c:1031:find_entry_node: assertion failed: (strlen (name) > 0)


complete emerge log
http://pastebin.com/FzHp8qWb

emerge --info
http://pastebin.com/S55nhsLW
Back to top
View user's profile Send private message
netcelli
Apprentice
Apprentice


Joined: 29 Nov 2005
Posts: 169

PostPosted: Tue Apr 24, 2012 6:37 am    Post subject: Reply with quote

I get same error:

Code:
LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}. /usr/bin/g-ir-compiler \
        --includedir=. \
        --includedir=../babl \
         \
        Babl-0.1.gir -o Babl-0.1.typelib
**
ERROR:girepository/girnode.c:1031:find_entry_node: assertion failed: (strlen (name) > 0)
Back to top
View user's profile Send private message
netcelli
Apprentice
Apprentice


Joined: 29 Nov 2005
Posts: 169

PostPosted: Tue Apr 24, 2012 6:42 am    Post subject: Reply with quote

Problem seems to be solved in GIT repository (http://git.gnome.org/browse/babl). I compile source with no problem.
Back to top
View user's profile Send private message
blaimi
n00b
n00b


Joined: 05 May 2012
Posts: 3

PostPosted: Sat May 05, 2012 10:33 pm    Post subject: Reply with quote

same problem here. couldn't compile from git with “--enable-introspection”

Code:
=media-libs/babl-0.1.10 -introspecion


in /etc/portage/package.use seems to work (i'm compiling gimp-2.8 atm)

EDIT: gimp-2.8 looks fine :)
Back to top
View user's profile Send private message
keenblade
Veteran
Veteran


Joined: 03 Oct 2004
Posts: 1085

PostPosted: Sat May 05, 2012 11:50 pm    Post subject: Reply with quote

blaimi wrote:
same problem here. couldn't compile from git with “--enable-introspection”

Code:
=media-libs/babl-0.1.10 -introspecion


in /etc/portage/package.use seems to work (i'm compiling gimp-2.8 atm)

EDIT: gimp-2.8 looks fine :)

Same here, too. I can't compile from git with “--enable-introspection”.
Probably, netcelli did not enable introspection, so he could compile :)
_________________
Anyway it's all the same at the end...
Need help to get it working: "x-fi surround 5.1"
Back to top
View user's profile Send private message
gzitta
n00b
n00b


Joined: 19 May 2012
Posts: 1

PostPosted: Sat May 19, 2012 7:32 am    Post subject: Reply with quote

could be fixed : https://bugs.gentoo.org/show_bug.cgi?id=413663
Back to top
View user's profile Send private message
jasn
Guru
Guru


Joined: 05 May 2005
Posts: 412
Location: Maryland, US

PostPosted: Tue May 29, 2012 7:08 pm    Post subject: Reply with quote

In the bug report, there's a patch provided which seems to have worked for some, but not for others, (myself included). If anyone's been able to compile babl-0.1.10 with the introspection USE flag, using the patch from the bug report, please feel free to describe how it was accomplished.

Thanks..
Back to top
View user's profile Send private message
Uncle CM
n00b
n00b


Joined: 13 Apr 2008
Posts: 11
Location: Bonn

PostPosted: Tue May 29, 2012 9:36 pm    Post subject: Reply with quote

Hey,

I was to lazy to modify/create a new ebuild with patch, so I paused the merge and modified the files ;)

After starting the merge, you have to stop after unpacking and patching the source: (just hit ctrl + Z)
Code:
>>> Unpacking source...
>>> Unpacking babl-0.1.10.tar.bz2 to /var/tmp/portage/media-libs/babl-0.1.10/work
>>> Source unpacked in /var/tmp/portage/media-libs/babl-0.1.10/work
>>> Preparing source in /var/tmp/portage/media-libs/babl-0.1.10/work/babl-0.1.10 ...
 * Applying babl-0.1.6-introspection.patch ...                                                                                       [ ok ]

And edit the Makefile
Code:
mcedit /var/tmp/portage/media-libs/babl-0.1.10/work/babl-0.1.10/babl/Makefile.am

And insert in line 98 as mentioned in the patch at Bug 413663 ...
Code:
            --identifier-prefix= --symbol-prefix=babl \

now save, execute "fg" in shell and now it should compile. But now Im stuck with gegl -.-
Back to top
View user's profile Send private message
jasn
Guru
Guru


Joined: 05 May 2005
Posts: 412
Location: Maryland, US

PostPosted: Wed May 30, 2012 11:16 am    Post subject: Reply with quote

Strange. If I do a manual ebuild /usr/portage/media-libs/babl/babl-0.1.10.ebuild unpack, then prepare, and then edit the corresponding babl/Makefile.am file and insert at line 98;
Code:
            --identifier-prefix= --symbol-prefix=babl \

and then do an ebuild /usr/portage/media-libs/babl/babl-0.1.10.ebuild compile, I still get a failure with;
Code:
ERROR:girepository/girnode.c:1031:find_entry_node: assertion failed: (strlen (name) > 0)

as noted in the bug report.

BTW, there's a similar bug report for gegl not compiling with the introspection USE flag. Not sure if it applies.
Back to top
View user's profile Send private message
jasn
Guru
Guru


Joined: 05 May 2005
Posts: 412
Location: Maryland, US

PostPosted: Mon Jun 04, 2012 7:52 pm    Post subject: Reply with quote

There's a new patch for this issue at the Gentoo bugzilla report, that when applied correctly, finally allowed me to emerge babl-0.1.10, with the introspection USE flag.

Good Luck..
Back to top
View user's profile Send private message
red-wolf76
l33t
l33t


Joined: 13 Apr 2005
Posts: 714
Location: Rhein-Main Area

PostPosted: Fri Sep 14, 2012 7:00 pm    Post subject: Reply with quote

The stop & go hack worked for me for the time being.
media-libs/gegl-0.2.0 built as well afterwards.
_________________
0mFg, G3nt00 r0X0r$ T3h B1g!1111 ;)

Use sane CFLAGS! If for no other reason, do it for the lulz!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum